diff -ur mariadb-5.5.33a/storage/xtradb/btr/btr0cur.c mariadb-5.5.33.1/storage/xtradb/btr/btr0cur.c
--- mariadb-5.5.33a/storage/xtradb/btr/btr0cur.c	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/btr/btr0cur.c	2013-10-25 08:42:27.000000000 +0000
@@ -4311,7 +4311,7 @@
  
  	mtr_commit(mtr);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  	mutex_enter(&block->mutex);
  
@@ -4336,7 +4336,7 @@
  		}
  	}
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->LRU_list_mutex);
  	mutex_exit(&block->mutex);
  }
diff -ur mariadb-5.5.33a/storage/xtradb/btr/btr0sea.c mariadb-5.5.33.1/storage/xtradb/btr/btr0sea.c
--- mariadb-5.5.33a/storage/xtradb/btr/btr0sea.c	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/btr/btr0sea.c	2013-10-25 08:45:40.000000000 +0000
@@ -77,7 +77,7 @@
  
  /* We will allocate the latch from dynamic memory to get it to the
  same DRAM page as other hotspot semaphores */
- //UNIV_INTERN rw_lock_t*		btr_search_latch_temp;
+ /* UNIV_INTERN rw_lock_t*		btr_search_latch_temp; */
  
  UNIV_INTERN rw_lock_t**		btr_search_latch_part;
  
@@ -178,10 +178,10 @@
  	/* We allocate the search latch from dynamic memory:
  	see above at the global variable definition */
  
- 	//btr_search_latch_temp = mem_alloc(sizeof(rw_lock_t));
+ 	/* btr_search_latch_temp = mem_alloc(sizeof(rw_lock_t)); */
  
- 	//rw_lock_create(btr_search_latch_key, &btr_search_latch,
- 	//	       SYNC_SEARCH_SYS);
+ 	/* rw_lock_create(btr_search_latch_key, &btr_search_latch, */
+ 	/* 	       SYNC_SEARCH_SYS); */
  
  	/* PS bug lp:1018264 - Multiple hash index partitions causes overly
  	   large hash index: When multiple adaptive hash index partitions are
@@ -227,9 +227,9 @@
  	mem_free(btr_search_sys->hash_index);
  	mem_free(btr_search_latch_part);
  
- 	//rw_lock_free(&btr_search_latch);
- 	//mem_free(btr_search_latch_temp);
- 	//btr_search_latch_temp = NULL;
+ 	/* rw_lock_free(&btr_search_latch); */
+ 	/* mem_free(btr_search_latch_temp); */
+ 	/* btr_search_latch_temp = NULL; */
  	mem_free(btr_search_sys);
  	btr_search_sys = NULL;
  }
diff -ur mariadb-5.5.33a/storage/xtradb/buf/buf0buddy.c mariadb-5.5.33.1/storage/xtradb/buf/buf0buddy.c
--- mariadb-5.5.33a/storage/xtradb/buf/buf0buddy.c	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/buf/buf0buddy.c	2013-10-25 08:50:48.000000000 +0000
@@ -75,7 +75,7 @@
  	ulint		i)		/*!< in: index of
  					buf_pool->zip_free[] */
  {
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->zip_free_mutex));
  	ut_ad(buf_page_get_state(bpage) == BUF_BLOCK_ZIP_FREE);
  	ut_ad(buf_pool->zip_free[i].start != bpage);
@@ -101,7 +101,7 @@
  	ut_ad(!next || buf_page_get_state(next) == BUF_BLOCK_ZIP_FREE);
  #endif /* UNIV_DEBUG */
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->zip_free_mutex));
  	ut_ad(buf_page_get_state(bpage) == BUF_BLOCK_ZIP_FREE);
  	UT_LIST_REMOVE(zip_list, buf_pool->zip_free[i], bpage);
@@ -119,7 +119,7 @@
  {
  	buf_page_t*	bpage;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->zip_free_mutex));
  	ut_a(i < BUF_BUDDY_SIZES);
  	ut_a(i >= buf_buddy_get_slot(PAGE_ZIP_MIN_SIZE));
@@ -169,7 +169,7 @@
  	buf_page_t*	bpage;
  	buf_block_t*	block;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(!mutex_own(&buf_pool->zip_mutex));
  	ut_a(!ut_align_offset(buf, UNIV_PAGE_SIZE));
  
@@ -210,7 +210,7 @@
  {
  	buf_pool_t*	buf_pool = buf_pool_from_block(block);
  	const ulint	fold = BUF_POOL_ZIP_FOLD(block);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(!mutex_own(&buf_pool->zip_mutex));
  	ut_ad(buf_block_get_state(block) == BUF_BLOCK_READY_FOR_USE);
  
@@ -289,7 +289,7 @@
  	buf_block_t*	block;
  
  	ut_ad(lru);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  	ut_ad(!mutex_own(&buf_pool->zip_mutex));
  	ut_ad(i >= buf_buddy_get_slot(PAGE_ZIP_MIN_SIZE));
@@ -314,7 +314,7 @@
  	}
  
  	/* Try replacing an uncompressed page in the buffer pool. */
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->LRU_list_mutex);
  	if (have_page_hash_mutex) {
  		rw_lock_x_unlock(&buf_pool->page_hash_latch);
@@ -321,7 +321,7 @@
  	}
  	block = buf_LRU_get_free_block(buf_pool);
  	*lru = TRUE;
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  	if (have_page_hash_mutex) {
  		rw_lock_x_lock(&buf_pool->page_hash_latch);
@@ -361,7 +361,7 @@
  	ulint		space;
  	ulint		page_no;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->zip_free_mutex));
  	ut_ad(!mutex_own(&buf_pool->zip_mutex));
  	ut_ad(!ut_align_offset(src, size));
@@ -492,7 +492,7 @@
  	buf_page_t*	bpage;
  	buf_page_t*	buddy;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->zip_free_mutex));
  	ut_ad(!mutex_own(&buf_pool->zip_mutex));
  	ut_ad(i <= BUF_BUDDY_SIZES);
diff -ur mariadb-5.5.33a/storage/xtradb/buf/buf0buf.c mariadb-5.5.33.1/storage/xtradb/buf/buf0buf.c
--- mariadb-5.5.33a/storage/xtradb/buf/buf0buf.c	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/buf/buf0buf.c	2013-10-25 08:56:53.000000000 +0000
@@ -1170,7 +1170,7 @@
  	buf_chunk_t*	chunk = buf_pool->chunks;
  
  	ut_ad(buf_pool);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->zip_free_mutex));
  	for (n = buf_pool->n_chunks; n--; chunk++) {
  
@@ -1520,7 +1520,7 @@
  	ulint		fold;
  	buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  #ifdef UNIV_SYNC_DEBUG
  	ut_ad(rw_lock_own(&buf_pool->page_hash_latch, RW_LOCK_EX));
@@ -1637,7 +1637,7 @@
  	buf_pool_t*	buf_pool = buf_pool_get(space, offset);
  	mutex_t*	block_mutex;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  
  	rw_lock_x_lock(&buf_pool->page_hash_latch);
  	bpage = buf_page_hash_get_low(buf_pool, space, offset, fold);
@@ -1726,7 +1726,7 @@
  					space, offset) */
  	buf_page_t*	watch)		/*!< in/out: sentinel for watch */
  {
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  #ifdef UNIV_SYNC_DEBUG
  	ut_ad(rw_lock_own(&buf_pool->page_hash_latch, RW_LOCK_EX));
  #endif
@@ -1752,7 +1752,7 @@
  	buf_pool_t*	buf_pool = buf_pool_get(space, offset);
  	ulint		fold = buf_page_address_fold(space, offset);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	rw_lock_x_lock(&buf_pool->page_hash_latch);
  	bpage = buf_page_hash_get_low(buf_pool, space, offset, fold);
  	/* The page must exist because buf_pool_watch_set()
@@ -1775,7 +1775,7 @@
  		mutex_exit(&buf_pool->zip_mutex);
  	}
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	rw_lock_x_unlock(&buf_pool->page_hash_latch);
  }
  
@@ -1796,7 +1796,7 @@
  	buf_pool_t*	buf_pool = buf_pool_get(space, offset);
  	ulint		fold	= buf_page_address_fold(space, offset);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	rw_lock_s_lock(&buf_pool->page_hash_latch);
  
  	bpage = buf_page_hash_get_low(buf_pool, space, offset, fold);
@@ -1804,7 +1804,7 @@
  	increments buf_fix_count. */
  	ut_a(bpage);
  	ret = !buf_pool_watch_is_sentinel(buf_pool, bpage);
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	rw_lock_s_unlock(&buf_pool->page_hash_latch);
  
  	return(ret);
@@ -1822,7 +1822,7 @@
  {
  	buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  
  	ut_a(buf_page_in_file(bpage));
@@ -1829,7 +1829,7 @@
  
  	buf_LRU_make_block_young(bpage);
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->LRU_list_mutex);
  }
  
@@ -1868,7 +1868,7 @@
  	buf_block_t*	block;
  	buf_pool_t*	buf_pool = buf_pool_get(space, offset);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	rw_lock_s_lock(&buf_pool->page_hash_latch);
  
  	block = (buf_block_t*) buf_page_hash_get(buf_pool, space, offset);
@@ -1878,7 +1878,7 @@
  		block->check_index_page_at_flush = FALSE;
  	}
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	rw_lock_s_unlock(&buf_pool->page_hash_latch);
  }
  
@@ -1899,7 +1899,7 @@
  	buf_page_t*	bpage;
  	buf_pool_t*	buf_pool = buf_pool_get(space, offset);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	rw_lock_s_lock(&buf_pool->page_hash_latch);
  
  	bpage = buf_page_hash_get(buf_pool, space, offset);
@@ -1911,7 +1911,7 @@
  		bpage->file_page_was_freed = TRUE;
  	}
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	rw_lock_s_unlock(&buf_pool->page_hash_latch);
  
  	return(bpage);
@@ -1933,7 +1933,7 @@
  	buf_page_t*	bpage;
  	buf_pool_t*	buf_pool = buf_pool_get(space, offset);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	rw_lock_s_lock(&buf_pool->page_hash_latch);
  
  	bpage = buf_page_hash_get(buf_pool, space, offset);
@@ -1943,7 +1943,7 @@
  		bpage->file_page_was_freed = FALSE;
  	}
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	rw_lock_s_unlock(&buf_pool->page_hash_latch);
  
  	return(bpage);
@@ -1983,7 +1983,7 @@
  	buf_pool->stat.n_page_gets++;
  
  	for (;;) {
- 		//buf_pool_mutex_enter(buf_pool);
+ 		/* buf_pool_mutex_enter(buf_pool); */
  lookup:
  		rw_lock_s_lock(&buf_pool->page_hash_latch);
  		bpage = buf_page_hash_get(buf_pool, space, offset);
@@ -1994,7 +1994,7 @@
  
  		/* Page not in buf_pool: needs to be read from file */
  
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		rw_lock_s_unlock(&buf_pool->page_hash_latch);
  
  		buf_read_page(space, zip_size, offset, trx);
@@ -2007,7 +2007,7 @@
  	if (UNIV_UNLIKELY(!bpage->zip.data)) {
  		/* There is no compressed page. */
  err_exit:
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		rw_lock_s_unlock(&buf_pool->page_hash_latch);
  		return(NULL);
  	}
@@ -2079,7 +2079,7 @@
  got_block:
  	must_read = buf_page_get_io_fix(bpage) == BUF_IO_READ;
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  
  	buf_page_set_accessed(bpage);
  
@@ -2406,7 +2406,7 @@
  	const buf_block_t*	block)		/*!< in: pointer to block,
  						not dereferenced */
  {
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  
  	if (UNIV_UNLIKELY((((ulint) block) % sizeof *block) != 0)) {
  		/* The pointer should be aligned. */
@@ -2484,7 +2484,7 @@
  	fold = buf_page_address_fold(space, offset);
  loop:
  	block = guess;
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  
  	if (block) {
  		block_mutex = buf_page_get_mutex_enter((buf_page_t*)block);
@@ -2542,7 +2542,7 @@
  			}
  		}
  
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  
  		if (mode == BUF_GET_IF_IN_POOL
  		    || mode == BUF_PEEK_IF_IN_POOL
@@ -2600,7 +2600,7 @@
  		but we cannot wait around for the read to
  		complete. */
  null_exit:
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		mutex_exit(block_mutex);
  
  		return(NULL);
@@ -2638,7 +2638,7 @@
  
  		bpage = &block->page;
  		/* Protect bpage->buf_fix_count. */
- 		//mutex_enter(&buf_pool->zip_mutex);
+ 		/* mutex_enter(&buf_pool->zip_mutex); */
  
  		if (bpage->buf_fix_count
  		    || buf_page_get_io_fix(bpage) != BUF_IO_NONE) {
@@ -2645,11 +2645,11 @@
  			/* This condition often occurs when the buffer
  			is not buffer-fixed, but I/O-fixed by
  			buf_page_init_for_read(). */
- 			//mutex_exit(&buf_pool->zip_mutex);
+ 			/* mutex_exit(&buf_pool->zip_mutex); */
  wait_until_unfixed:
  			/* The block is buffer-fixed or I/O-fixed.
  			Try again later. */
- 			//buf_pool_mutex_exit(buf_pool);
+ 			/* buf_pool_mutex_exit(buf_pool); */
  			mutex_exit(block_mutex);
  			os_thread_sleep(WAIT_FOR_READ);
  
@@ -2657,8 +2657,8 @@
  		}
  
  		/* Allocate an uncompressed page. */
- 		//buf_pool_mutex_exit(buf_pool);
- 		//mutex_exit(&buf_pool->zip_mutex);
+ 		/* buf_pool_mutex_exit(buf_pool); */
+ 		/* mutex_exit(&buf_pool->zip_mutex); */
  		mutex_exit(block_mutex);
  
  		block = buf_LRU_get_free_block(buf_pool);
@@ -2665,7 +2665,7 @@
  		ut_a(block);
  		block_mutex = &block->mutex;
  
- 		//buf_pool_mutex_enter(buf_pool);
+ 		/* buf_pool_mutex_enter(buf_pool); */
  		mutex_enter(&buf_pool->LRU_list_mutex);
  		rw_lock_x_lock(&buf_pool->page_hash_latch);
  		mutex_enter(block_mutex);
@@ -2708,7 +2708,7 @@
  			This should be extremely unlikely. */
  
  			buf_LRU_block_free_non_file_page(block, TRUE);
- 			//mutex_exit(&block->mutex);
+ 			/* mutex_exit(&block->mutex); */
  
  			rw_lock_x_unlock(&buf_pool->page_hash_latch);
  			mutex_exit(&buf_pool->LRU_list_mutex);
@@ -2785,7 +2785,7 @@
  		}
  
  		/* Unfix and unlatch the block. */
- 		//buf_pool_mutex_enter(buf_pool);
+ 		/* buf_pool_mutex_enter(buf_pool); */
  		block_mutex = &block->mutex;
  		mutex_enter(block_mutex);
  		block->page.buf_fix_count--;
@@ -2809,7 +2809,7 @@
  
  	ut_ad(buf_block_get_state(block) == BUF_BLOCK_FILE_PAGE);
  
- 	//mutex_enter(&block->mutex);
+ 	/* mutex_enter(&block->mutex); */
  #if UNIV_WORD_SIZE == 4
  	/* On 32-bit systems, there is no padding in buf_page_t.  On
  	other systems, Valgrind could complain about uninitialized pad
@@ -2843,7 +2843,7 @@
  					goto got_block;
  				}
  			}
- 			//buf_pool_mutex_exit(buf_pool);
+ 			/* buf_pool_mutex_exit(buf_pool); */
  			fprintf(stderr,
  				"innodb_change_buffering_debug evict %u %u\n",
  				(unsigned) space, (unsigned) offset);
@@ -3219,12 +3219,12 @@
  	ut_ad(mtr);
  	ut_ad(mtr->state == MTR_ACTIVE);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	rw_lock_s_lock(&buf_pool->page_hash_latch);
  	block = buf_block_hash_get(buf_pool, space_id, page_no);
  
  	if (!block || buf_block_get_state(block) != BUF_BLOCK_FILE_PAGE) {
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		rw_lock_s_unlock(&buf_pool->page_hash_latch);
  		return(NULL);
  	}
@@ -3232,7 +3232,7 @@
  	ut_ad(!buf_pool_watch_is_sentinel(buf_pool, &block->page));
  
  	mutex_enter(&block->mutex);
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	rw_lock_s_unlock(&buf_pool->page_hash_latch);
  
  #if defined UNIV_DEBUG || defined UNIV_BUF_DEBUG
@@ -3325,7 +3325,7 @@
  	buf_page_t*	hash_page;
  
  	ut_ad(buf_pool == buf_pool_get(space, offset));
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  #ifdef UNIV_SYNC_DEBUG
  	ut_ad(rw_lock_own(&buf_pool->page_hash_latch, RW_LOCK_EX));
  #endif
@@ -3374,7 +3374,7 @@
  			(const void*) hash_page, (const void*) block);
  #if defined UNIV_DEBUG || defined UNIV_BUF_DEBUG
  		mutex_exit(&block->mutex);
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		rw_lock_x_unlock(&buf_pool->page_hash_latch);
  		buf_print();
  		buf_LRU_print();
@@ -3461,7 +3461,7 @@
  
  	fold = buf_page_address_fold(space, offset);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  	rw_lock_x_lock(&buf_pool->page_hash_latch);
  
@@ -3638,7 +3638,7 @@
  	buf_pool->n_pend_reads++;
  	buf_pool_mutex_exit(buf_pool);
  func_exit:
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  
  	if (mode == BUF_READ_IBUF_PAGES_ONLY) {
  
@@ -3679,7 +3679,7 @@
  
  	fold = buf_page_address_fold(space, offset);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  	rw_lock_x_lock(&buf_pool->page_hash_latch);
  
@@ -3697,7 +3697,7 @@
  #endif /* UNIV_DEBUG_FILE_ACCESSES || UNIV_DEBUG */
  
  		/* Page can be found in buf_pool */
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		mutex_exit(&buf_pool->LRU_list_mutex);
  		rw_lock_x_unlock(&buf_pool->page_hash_latch);
  
@@ -3819,7 +3819,7 @@
  	ibool		ret = TRUE;
  
  	/* First unfix and release lock on the bpage */
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  	rw_lock_x_lock(&buf_pool->page_hash_latch);
  	mutex_enter(buf_page_get_mutex(bpage));
@@ -3848,7 +3848,7 @@
  	buf_pool_mutex_exit(buf_pool);
  
  	mutex_exit(buf_page_get_mutex(bpage));
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->LRU_list_mutex);
  	rw_lock_x_unlock(&buf_pool->page_hash_latch);
  
@@ -4194,7 +4194,7 @@
  
  	ut_ad(buf_pool);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  	rw_lock_x_lock(&buf_pool->page_hash_latch);
  
@@ -4213,7 +4213,7 @@
  		}
  	}
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->LRU_list_mutex);
  	rw_lock_x_unlock(&buf_pool->page_hash_latch);
  
@@ -4263,7 +4263,7 @@
  		freed = buf_LRU_search_and_free_block(buf_pool, 100);
  	}
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  
  	ut_ad(UT_LIST_GET_LEN(buf_pool->LRU) == 0);
@@ -4277,7 +4277,7 @@
  	memset(&buf_pool->stat, 0x00, sizeof(buf_pool->stat));
  	buf_refresh_io_stats(buf_pool);
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->LRU_list_mutex);
  }
  
@@ -4320,7 +4320,7 @@
  
  	ut_ad(buf_pool);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  	rw_lock_x_lock(&buf_pool->page_hash_latch);
  	/* for keep the new latch order, it cannot validate correctly... */
@@ -4527,7 +4527,7 @@
  	ut_a(buf_pool->n_flush[BUF_FLUSH_LRU] == n_lru_flush);
  */
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->LRU_list_mutex);
  	rw_lock_x_unlock(&buf_pool->page_hash_latch);
  
@@ -4585,7 +4585,7 @@
  	index_ids = mem_alloc(size * sizeof *index_ids);
  	counts = mem_alloc(sizeof(ulint) * size);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  	mutex_enter(&buf_pool->free_list_mutex);
  	buf_flush_list_mutex_enter(buf_pool);
@@ -4656,7 +4656,7 @@
  		}
  	}
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->LRU_list_mutex);
  	mutex_exit(&buf_pool->free_list_mutex);
  
@@ -4715,7 +4715,7 @@
  	buf_chunk_t*	chunk;
  	ulint		fixed_pages_number = 0;
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  
  	chunk = buf_pool->chunks;
  
@@ -4787,7 +4787,7 @@
  
  	buf_flush_list_mutex_exit(buf_pool);
  	mutex_exit(&buf_pool->zip_mutex);
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  
  	return(fixed_pages_number);
  }
@@ -5306,12 +5306,12 @@
  {
  	ulint	len;
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->free_list_mutex);
  
  	len = UT_LIST_GET_LEN(buf_pool->free);
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->free_list_mutex);
  
  	return(len);
diff -ur mariadb-5.5.33a/storage/xtradb/buf/buf0flu.c mariadb-5.5.33.1/storage/xtradb/buf/buf0flu.c
--- mariadb-5.5.33a/storage/xtradb/buf/buf0flu.c	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/buf/buf0flu.c	2013-10-25 09:03:52.000000000 +0000
@@ -75,7 +75,7 @@
  static buf_flush_stat_t	buf_flush_stat_sum;
  
  /** Number of pages flushed through non flush_list flushes. */
- // static ulint buf_lru_flush_page_count = 0;
+ /*  static ulint buf_lru_flush_page_count = 0; */
  
  /* @} */
  
@@ -451,11 +451,11 @@
  				buf_page_in_file(bpage) and in the LRU list */
  {
  #ifdef UNIV_DEBUG
- 	//buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage); */
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  #endif
  	ut_ad(mutex_own(buf_page_get_mutex(bpage)));
- 	//ut_ad(bpage->in_LRU_list);
+ 	/* ut_ad(bpage->in_LRU_list); */
  
  	if (UNIV_LIKELY(bpage->in_LRU_list && buf_page_in_file(bpage))) {
  
@@ -490,10 +490,10 @@
  	enum buf_flush	flush_type)/*!< in: BUF_FLUSH_LRU or BUF_FLUSH_LIST */
  {
  #ifdef UNIV_DEBUG
- 	//buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage); */
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  #endif
- 	//ut_a(buf_page_in_file(bpage));
+ 	/* ut_a(buf_page_in_file(bpage)); */
  	ut_ad(flush_type == BUF_FLUSH_LRU || flush_type == BUF_FLUSH_LIST);
  	ut_ad(mutex_own(buf_page_get_mutex(bpage))
  	      || flush_type == BUF_FLUSH_LIST);
@@ -604,7 +604,7 @@
  	buf_page_t* 	prev_b = NULL;
  	buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	/* Must reside in the same buffer pool. */
  	ut_ad(buf_pool == buf_pool_from_bpage(dpage));
  
@@ -1118,7 +1118,7 @@
  
  #ifdef UNIV_DEBUG
  	buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
- 	//ut_ad(!buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(!buf_pool_mutex_own(buf_pool)); */
  #endif
  
  #ifdef UNIV_LOG_DEBUG
@@ -1132,7 +1132,7 @@
  	io_fixed and oldest_modification != 0.  Thus, it cannot be
  	relocated in the buffer pool or removed from flush_list or
  	LRU_list. */
- 	//ut_ad(!buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(!buf_pool_mutex_own(buf_pool)); */
  	ut_ad(!mutex_own(&buf_pool->LRU_list_mutex));
  	ut_ad(!buf_flush_list_mutex_own(buf_pool));
  	ut_ad(!mutex_own(buf_page_get_mutex(bpage)));
@@ -1213,7 +1213,7 @@
  	buf_pool_t*	buf_pool,	/*!< in/out: buffer pool instance */
  	buf_block_t*	block)		/*!< in/out: buffer control block */
  {
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(buf_block_get_state(block) == BUF_BLOCK_FILE_PAGE);
  	ut_ad(mutex_own(&block->mutex));
  
@@ -1299,7 +1299,7 @@
  	ibool		is_uncompressed;
  
  	ut_ad(flush_type == BUF_FLUSH_LRU || flush_type == BUF_FLUSH_LIST);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  #ifdef UNIV_SYNC_DEBUG
  	ut_ad(rw_lock_own(&buf_pool->page_hash_latch, RW_LOCK_SHARED));
  #endif
@@ -1498,7 +1498,7 @@
  
  		buf_pool = buf_pool_get(space, i);
  
- 		//buf_pool_mutex_enter(buf_pool);
+ 		/* buf_pool_mutex_enter(buf_pool); */
  		rw_lock_s_lock(&buf_pool->page_hash_latch);
  
  		/* We only want to flush pages from this buffer pool. */
@@ -1506,7 +1506,7 @@
  
  		if (!bpage) {
  
- 			//buf_pool_mutex_exit(buf_pool);
+ 			/* buf_pool_mutex_exit(buf_pool); */
  			rw_lock_s_unlock(&buf_pool->page_hash_latch);
  			if (srv_flush_neighbor_pages == 2) {
  
@@ -1547,7 +1547,7 @@
  				mutex_exit(block_mutex);
  			}
  		}
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		rw_lock_s_unlock(&buf_pool->page_hash_latch);
  
  		if (srv_flush_neighbor_pages == 2) {
@@ -1614,7 +1614,7 @@
  
  		buf_pool = buf_pool_from_bpage(bpage);
  
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		if (flush_type == BUF_FLUSH_LRU) {
  			mutex_exit(&buf_pool->LRU_list_mutex);
  		}
@@ -1670,7 +1670,7 @@
  	buf_page_t*	bpage;
  	ulint		count = 0;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  
  	do {
@@ -1693,7 +1693,7 @@
  	should be flushed, we factor in this value. */
  	buf_lru_flush_page_count += count;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  
  	return(count);
@@ -1724,7 +1724,7 @@
  	buf_page_t*	bpage;
  	ulint		count = 0;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  
  	/* If we have flushed enough, leave the loop */
  	do {
@@ -1791,7 +1791,7 @@
  
  	} while (count < min_n && bpage != NULL && len > 0);
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  
  	return(count);
  }
@@ -1830,7 +1830,7 @@
  	      || sync_thread_levels_empty_except_dict());
  #endif /* UNIV_SYNC_DEBUG */
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  
  	/* Note: The buffer pool mutex is released and reacquired within
  	the flush functions. */
@@ -1847,7 +1847,7 @@
  		ut_error;
  	}
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  
  	buf_flush_buffered_writes();
  
@@ -2092,7 +2092,7 @@
  	if(UT_LIST_GET_LEN(buf_pool->unzip_LRU))
  		have_LRU_mutex = TRUE;
  retry:
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	if (have_LRU_mutex)
  		mutex_enter(&buf_pool->LRU_list_mutex);
  
@@ -2126,7 +2126,7 @@
  		bpage = UT_LIST_GET_PREV(LRU, bpage);
  	}
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	if (have_LRU_mutex)
  		mutex_exit(&buf_pool->LRU_list_mutex);
  
diff -ur mariadb-5.5.33a/storage/xtradb/buf/buf0lru.c mariadb-5.5.33.1/storage/xtradb/buf/buf0lru.c
--- mariadb-5.5.33a/storage/xtradb/buf/buf0lru.c	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/buf/buf0lru.c	2013-10-25 09:06:40.000000000 +0000
@@ -183,7 +183,7 @@
  	ulint	io_avg;
  	ulint	unzip_avg;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  
  	if (!have_LRU_mutex)
  		mutex_enter(&buf_pool->LRU_list_mutex);
@@ -283,7 +283,7 @@
  	page_arr = ut_malloc(
  		sizeof(ulint) * BUF_LRU_DROP_SEARCH_SIZE);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  	num_entries = 0;
  
@@ -316,10 +316,10 @@
  			continue;
  		}
  
- 		//mutex_enter(&((buf_block_t*) bpage)->mutex);
+ 		/* mutex_enter(&((buf_block_t*) bpage)->mutex); */
  		is_fixed = bpage->buf_fix_count > 0
  			|| !((buf_block_t*) bpage)->index;
- 		//mutex_exit(&((buf_block_t*) bpage)->mutex);
+ 		/* mutex_exit(&((buf_block_t*) bpage)->mutex); */
  
  		if (is_fixed) {
  			mutex_exit(block_mutex);
@@ -343,7 +343,7 @@
  
  		/* Array full. We release the buf_pool->mutex to obey
  		the latching order. */
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		mutex_exit(&buf_pool->LRU_list_mutex);
  
  		buf_LRU_drop_page_hash_batch(
@@ -351,7 +351,7 @@
  
  		num_entries = 0;
  
- 		//buf_pool_mutex_enter(buf_pool);
+ 		/* buf_pool_mutex_enter(buf_pool); */
  		mutex_enter(&buf_pool->LRU_list_mutex);
  
  		/* Note that we released the buf_pool mutex above
@@ -385,7 +385,7 @@
  		mutex_exit(block_mutex);
  	}
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->LRU_list_mutex);
  
  	/* Drop any remaining batch of search hashed pages. */
@@ -709,7 +709,7 @@
  	ibool		all_freed;
  
  scan_again:
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  	rw_lock_x_lock(&buf_pool->page_hash_latch);
  
@@ -829,7 +829,7 @@
  		bpage = prev_bpage;
  	}
  
- //	buf_pool_mutex_exit(buf_pool);
+ /* 	buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->LRU_list_mutex);
  	rw_lock_x_unlock(&buf_pool->page_hash_latch);
  
@@ -896,8 +896,8 @@
  	buf_page_t*	b;
  	buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
- 	//ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
+ 	/* ut_ad(mutex_own(&buf_pool->LRU_list_mutex)); */
  	ut_ad(mutex_own(&buf_pool->zip_mutex));
  	ut_ad(buf_page_get_state(bpage) == BUF_BLOCK_ZIP_PAGE);
  
@@ -942,7 +942,7 @@
  	buf_block_t*	block;
  	ulint		distance;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  
  	/* Theoratically it should be much easier to find a victim
  	from unzip_LRU as we can choose even a dirty block (as we'll
@@ -1009,7 +1009,7 @@
  	buf_page_t*	bpage;
  	ulint		distance;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  
  	distance = 100 + (n_iterations * buf_pool->curr_size) / 10;
  
@@ -1078,7 +1078,7 @@
  	if (UT_LIST_GET_LEN(buf_pool->unzip_LRU))
  		have_LRU_mutex = TRUE;
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	if (have_LRU_mutex)
  		mutex_enter(&buf_pool->LRU_list_mutex);
  
@@ -1159,7 +1159,7 @@
  
  		buf_pool = buf_pool_from_array(i);
  
- 		//buf_pool_mutex_enter(buf_pool);
+ 		/* buf_pool_mutex_enter(buf_pool); */
  		mutex_enter(&buf_pool->LRU_list_mutex);
  		mutex_enter(&buf_pool->free_list_mutex);
  
@@ -1171,7 +1171,7 @@
  			ret = TRUE;
  		}
  
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		mutex_exit(&buf_pool->LRU_list_mutex);
  		mutex_exit(&buf_pool->free_list_mutex);
  	}
@@ -1191,7 +1191,7 @@
  {
  	buf_block_t*	block;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  
  	mutex_enter(&buf_pool->free_list_mutex);
  	block = (buf_block_t*) UT_LIST_GET_LAST(buf_pool->free);
@@ -1239,7 +1239,7 @@
  	ibool		mon_value_was	= FALSE;
  	ibool		started_monitor	= FALSE;
  loop:
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  
  	if (!recv_recovery_on && UT_LIST_GET_LEN(buf_pool->free)
  	    + UT_LIST_GET_LEN(buf_pool->LRU) < buf_pool->curr_size / 20) {
@@ -1307,7 +1307,7 @@
  
  	/* If there is a block in the free list, take it */
  	block = buf_LRU_get_free_only(buf_pool);
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  
  	if (block) {
  		ut_ad(buf_pool_from_block(block) == buf_pool);
@@ -1407,7 +1407,7 @@
  	ulint	new_len;
  
  	ut_a(buf_pool->LRU_old);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  	ut_ad(buf_pool->LRU_old_ratio >= BUF_LRU_OLD_RATIO_MIN);
  	ut_ad(buf_pool->LRU_old_ratio <= BUF_LRU_OLD_RATIO_MAX);
@@ -1474,7 +1474,7 @@
  {
  	buf_page_t*	bpage;
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  	ut_a(UT_LIST_GET_LEN(buf_pool->LRU) == BUF_LRU_OLD_MIN_LEN);
  
@@ -1510,7 +1510,7 @@
  	ut_ad(buf_pool);
  	ut_ad(bpage);
  	ut_ad(buf_page_in_file(bpage));
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  
  	if (buf_page_belongs_to_unzip_LRU(bpage)) {
@@ -1536,7 +1536,7 @@
  
  	ut_ad(buf_pool);
  	ut_ad(bpage);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  
  	ut_a(buf_page_in_file(bpage));
@@ -1617,7 +1617,7 @@
  
  	ut_ad(buf_pool);
  	ut_ad(block);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  
  	ut_a(buf_page_belongs_to_unzip_LRU(&block->page));
@@ -1647,7 +1647,7 @@
  
  	ut_ad(buf_pool);
  	ut_ad(bpage);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  
  	ut_a(buf_page_in_file(bpage));
@@ -1704,7 +1704,7 @@
  
  	ut_ad(buf_pool);
  	ut_ad(bpage);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  
  	ut_a(buf_page_in_file(bpage));
@@ -1789,7 +1789,7 @@
  {
  	buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  
  	if (bpage->old) {
@@ -1837,10 +1837,10 @@
  	buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
  	mutex_t*	block_mutex = buf_page_get_mutex(bpage);
  
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(block_mutex));
  	ut_ad(buf_page_in_file(bpage));
- 	//ut_ad(bpage->in_LRU_list);
+ 	/* ut_ad(bpage->in_LRU_list); */
  	ut_ad(!bpage->in_flush_list == !bpage->oldest_modification);
  #if UNIV_WORD_SIZE == 4
  	/* On 32-bit systems, there is no padding in buf_page_t.  On
@@ -1883,7 +1883,7 @@
  alloc:
  		b = buf_page_alloc_descriptor();
  		ut_a(b);
- 		//memcpy(b, bpage, sizeof *b);
+ 		/* memcpy(b, bpage, sizeof *b); */
  	}
  
  #ifdef UNIV_DEBUG
@@ -2044,7 +2044,7 @@
  			mutex_exit(&buf_pool->zip_mutex);
  		}
  
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		mutex_exit(&buf_pool->LRU_list_mutex);
  		rw_lock_x_unlock(&buf_pool->page_hash_latch);
  		mutex_exit(block_mutex);
@@ -2078,7 +2078,7 @@
  				: BUF_NO_CHECKSUM_MAGIC);
  		}
  
- 		//buf_pool_mutex_enter(buf_pool);
+ 		/* buf_pool_mutex_enter(buf_pool); */
  		if (have_LRU_mutex)
  			mutex_enter(&buf_pool->LRU_list_mutex);
  		mutex_enter(block_mutex);
@@ -2118,7 +2118,7 @@
  	buf_pool_t*	buf_pool = buf_pool_from_block(block);
  
  	ut_ad(block);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&block->mutex));
  
  	switch (buf_block_get_state(block)) {
@@ -2152,13 +2152,13 @@
  	if (data) {
  		block->page.zip.data = NULL;
  		mutex_exit(&block->mutex);
- 		//buf_pool_mutex_exit_forbid(buf_pool);
+ 		/* buf_pool_mutex_exit_forbid(buf_pool); */
  
  		buf_buddy_free(
  			buf_pool, data, page_zip_get_size(&block->page.zip),
  			have_page_hash_mutex);
  
- 		//buf_pool_mutex_exit_allow(buf_pool);
+ 		/* buf_pool_mutex_exit_allow(buf_pool); */
  		mutex_enter(&block->mutex);
  		page_zip_set_size(&block->page.zip, 0);
  	}
@@ -2196,7 +2196,7 @@
  	buf_pool_t*		buf_pool = buf_pool_from_bpage(bpage);
  
  	ut_ad(bpage);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  #ifdef UNIV_SYNC_DEBUG
  	ut_ad(rw_lock_own(&buf_pool->page_hash_latch, RW_LOCK_EX));
@@ -2310,7 +2310,7 @@
  
  #if defined UNIV_DEBUG || defined UNIV_BUF_DEBUG
  		mutex_exit(buf_page_get_mutex(bpage));
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		mutex_exit(&buf_pool->LRU_list_mutex);
  		rw_lock_x_unlock(&buf_pool->page_hash_latch);
  		buf_print();
@@ -2338,13 +2338,13 @@
  #endif /* UNIV_DEBUG || UNIV_BUF_DEBUG */
  
  		mutex_exit(&buf_pool->zip_mutex);
- 		//buf_pool_mutex_exit_forbid(buf_pool);
+ 		/* buf_pool_mutex_exit_forbid(buf_pool); */
  
  		buf_buddy_free(
  			buf_pool, bpage->zip.data,
  			page_zip_get_size(&bpage->zip), TRUE);
  
- 		//buf_pool_mutex_exit_allow(buf_pool);
+ 		/* buf_pool_mutex_exit_allow(buf_pool); */
  		buf_page_free_descriptor(bpage);
  		return(BUF_BLOCK_ZIP_FREE);
  
@@ -2366,13 +2366,13 @@
  			ut_ad(!bpage->in_flush_list);
  			ut_ad(!bpage->in_LRU_list);
  			mutex_exit(&((buf_block_t*) bpage)->mutex);
- 			//buf_pool_mutex_exit_forbid(buf_pool);
+ 			/* buf_pool_mutex_exit_forbid(buf_pool); */
  
  			buf_buddy_free(
  				buf_pool, data,
  				page_zip_get_size(&bpage->zip), TRUE);
  
- 			//buf_pool_mutex_exit_allow(buf_pool);
+ 			/* buf_pool_mutex_exit_allow(buf_pool); */
  			mutex_enter(&((buf_block_t*) bpage)->mutex);
  			page_zip_set_size(&bpage->zip, 0);
  		}
@@ -2403,8 +2403,8 @@
  	ibool		have_page_hash_mutex)
  {
  #ifdef UNIV_DEBUG
- 	//buf_pool_t*	buf_pool = buf_pool_from_block(block);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* buf_pool_t*	buf_pool = buf_pool_from_block(block); */
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  #endif
  	ut_ad(mutex_own(&block->mutex));
  
@@ -2467,7 +2467,7 @@
  	}
  
  	if (adjust) {
- 		//buf_pool_mutex_enter(buf_pool);
+ 		/* buf_pool_mutex_enter(buf_pool); */
  		mutex_enter(&buf_pool->LRU_list_mutex);
  
  		if (ratio != buf_pool->LRU_old_ratio) {
@@ -2480,7 +2480,7 @@
  			}
  		}
  
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		mutex_exit(&buf_pool->LRU_list_mutex);
  	} else {
  		buf_pool->LRU_old_ratio = ratio;
@@ -2947,7 +2947,7 @@
  	ulint		new_len;
  
  	ut_ad(buf_pool);
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  
  	if (UT_LIST_GET_LEN(buf_pool->LRU) >= BUF_LRU_OLD_MIN_LEN) {
@@ -3038,7 +3038,7 @@
  		ut_a(buf_page_belongs_to_unzip_LRU(&block->page));
  	}
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->LRU_list_mutex);
  }
  
@@ -3075,7 +3075,7 @@
  	const buf_page_t*	bpage;
  
  	ut_ad(buf_pool);
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	mutex_enter(&buf_pool->LRU_list_mutex);
  
  	bpage = UT_LIST_GET_FIRST(buf_pool->LRU);
@@ -3133,7 +3133,7 @@
  		bpage = UT_LIST_GET_NEXT(LRU, bpage);
  	}
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	mutex_exit(&buf_pool->LRU_list_mutex);
  }
  
diff -ur mariadb-5.5.33a/storage/xtradb/buf/buf0rea.c mariadb-5.5.33.1/storage/xtradb/buf/buf0rea.c
--- mariadb-5.5.33a/storage/xtradb/buf/buf0rea.c	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/buf/buf0rea.c	2013-10-25 09:08:45.000000000 +0000
@@ -623,7 +623,7 @@
  
  		if (fail_count > threshold) {
  			/* Too many failures: return */
- 			//buf_pool_mutex_exit(buf_pool);
+ 			/* buf_pool_mutex_exit(buf_pool); */
  			rw_lock_s_unlock(&buf_pool->page_hash_latch);
  			return(0);
  		}
@@ -639,7 +639,7 @@
  	bpage = buf_page_hash_get(buf_pool, space, offset);
  
  	if (bpage == NULL) {
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		rw_lock_s_unlock(&buf_pool->page_hash_latch);
  
  		return(0);
@@ -666,7 +666,7 @@
  	pred_offset = fil_page_get_prev(frame);
  	succ_offset = fil_page_get_next(frame);
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	rw_lock_s_unlock(&buf_pool->page_hash_latch);
  
  	if ((offset == low) && (succ_offset == offset + 1)) {
diff -ur mariadb-5.5.33a/storage/xtradb/dict/dict0load.c mariadb-5.5.33.1/storage/xtradb/dict/dict0load.c
--- mariadb-5.5.33a/storage/xtradb/dict/dict0load.c	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/dict/dict0load.c	2013-10-25 09:10:40.000000000 +0000
@@ -448,7 +448,7 @@
  
  }
  
- //#ifdef FOREIGN_NOT_USED
+ /* #ifdef FOREIGN_NOT_USED */
  /********************************************************************//**
  This function parses a SYS_FOREIGN record and populate a dict_foreign_t
  structure with the information from the record. For detail information
@@ -524,9 +524,9 @@
  
  	return(NULL);
  }
- //#endif  /* FOREIGN_NOT_USED */
+ /* #endif  / * FOREIGN_NOT_USED */
  
- //#ifdef FOREIGN_NOT_USED
+ /* #ifdef FOREIGN_NOT_USED */
  /********************************************************************//**
  This function parses a SYS_FOREIGN_COLS record and extract necessary
  information from the record and return to caller.
@@ -590,7 +590,7 @@
  
  	return(NULL);
  }
- //#endif  /* FOREIGN_NOT_USED */
+ /* #endif  / * FOREIGN_NOT_USED */
  
  /********************************************************************//**
  This function parses a SYS_STATS record and extract necessary
diff -ur mariadb-5.5.33a/storage/xtradb/fil/fil0fil.c mariadb-5.5.33.1/storage/xtradb/fil/fil0fil.c
--- mariadb-5.5.33a/storage/xtradb/fil/fil0fil.c	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/fil/fil0fil.c	2013-10-25 09:13:13.000000000 +0000
@@ -5376,9 +5376,9 @@
  	ut_ad(ut_is_2pow(zip_size));
  	ut_ad(buf);
  	ut_ad(len > 0);
- //#if (1 << UNIV_PAGE_SIZE_SHIFT) != UNIV_PAGE_SIZE
- //# error "(1 << UNIV_PAGE_SIZE_SHIFT) != UNIV_PAGE_SIZE"
- //#endif
+ /* #if (1 << UNIV_PAGE_SIZE_SHIFT) != UNIV_PAGE_SIZE */
+ /* # error "(1 << UNIV_PAGE_SIZE_SHIFT) != UNIV_PAGE_SIZE" */
+ /* #endif */
  	ut_ad(fil_validate_skip());
  #ifndef UNIV_HOTBACKUP
  # ifndef UNIV_LOG_DEBUG
diff -ur mariadb-5.5.33a/storage/xtradb/fsp/fsp0fsp.c mariadb-5.5.33.1/storage/xtradb/fsp/fsp0fsp.c
--- mariadb-5.5.33a/storage/xtradb/fsp/fsp0fsp.c	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/fsp/fsp0fsp.c	2013-10-25 09:15:31.000000000 +0000
@@ -600,16 +600,16 @@
  				0 for uncompressed pages */
  	ulint	offset)		/*!< in: page offset */
  {
- //#ifndef DOXYGEN /* Doxygen gets confused of these */
- //# if UNIV_PAGE_SIZE <= XDES_ARR_OFFSET
- //		+ (UNIV_PAGE_SIZE / FSP_EXTENT_SIZE) * XDES_SIZE
- //#  error
- //# endif
- //# if PAGE_ZIP_MIN_SIZE <= XDES_ARR_OFFSET
- //		+ (PAGE_ZIP_MIN_SIZE / FSP_EXTENT_SIZE) * XDES_SIZE
- //#  error
- //# endif
- //#endif /* !DOXYGEN */
+ /* #ifndef DOXYGEN / * Doxygen gets confused of these */
+ /* # if UNIV_PAGE_SIZE <= XDES_ARR_OFFSET */
+ /* 		+ (UNIV_PAGE_SIZE / FSP_EXTENT_SIZE) * XDES_SIZE */
+ /* #  error */
+ /* # endif */
+ /* # if PAGE_ZIP_MIN_SIZE <= XDES_ARR_OFFSET */
+ /* 		+ (PAGE_ZIP_MIN_SIZE / FSP_EXTENT_SIZE) * XDES_SIZE */
+ /* #  error */
+ /* # endif */
+ /* #endif / * !DOXYGEN */
  	ut_a(UNIV_PAGE_SIZE > XDES_ARR_OFFSET + (UNIV_PAGE_SIZE / FSP_EXTENT_SIZE) * XDES_SIZE);
  	ut_a(PAGE_ZIP_MIN_SIZE > XDES_ARR_OFFSET + (PAGE_ZIP_MIN_SIZE / FSP_EXTENT_SIZE) * XDES_SIZE);
  	ut_ad(ut_is_2pow(zip_size));
@@ -1392,12 +1392,12 @@
  							   mtr);
  		xdes_init(descr, mtr);
  
- //#if UNIV_PAGE_SIZE % FSP_EXTENT_SIZE
- //# error "UNIV_PAGE_SIZE % FSP_EXTENT_SIZE != 0"
- //#endif
- //#if PAGE_ZIP_MIN_SIZE % FSP_EXTENT_SIZE
- //# error "PAGE_ZIP_MIN_SIZE % FSP_EXTENT_SIZE != 0"
- //#endif
+ /* #if UNIV_PAGE_SIZE % FSP_EXTENT_SIZE */
+ /* # error "UNIV_PAGE_SIZE % FSP_EXTENT_SIZE != 0" */
+ /* #endif */
+ /* #if PAGE_ZIP_MIN_SIZE % FSP_EXTENT_SIZE */
+ /* # error "PAGE_ZIP_MIN_SIZE % FSP_EXTENT_SIZE != 0" */
+ /* #endif */
  
  		if (UNIV_UNLIKELY(init_xdes)) {
  
diff -ur mariadb-5.5.33a/storage/xtradb/ibuf/ibuf0ibuf.c mariadb-5.5.33.1/storage/xtradb/ibuf/ibuf0ibuf.c
--- mariadb-5.5.33a/storage/xtradb/ibuf/ibuf0ibuf.c	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/ibuf/ibuf0ibuf.c	2013-10-25 09:17:30.000000000 +0000
@@ -3821,10 +3821,10 @@
  		ulint		fold = buf_page_address_fold(space, page_no);
  		buf_pool_t*	buf_pool = buf_pool_get(space, page_no);
  
- 		//buf_pool_mutex_enter(buf_pool);
+ 		/* buf_pool_mutex_enter(buf_pool); */
  		rw_lock_s_lock(&buf_pool->page_hash_latch);
  		bpage = buf_page_hash_get_low(buf_pool, space, page_no, fold);
- 		//buf_pool_mutex_exit(buf_pool);
+ 		/* buf_pool_mutex_exit(buf_pool); */
  		rw_lock_s_unlock(&buf_pool->page_hash_latch);
  
  		if (UNIV_LIKELY_NULL(bpage)) {
diff -ur mariadb-5.5.33a/storage/xtradb/include/btr0types.h mariadb-5.5.33.1/storage/xtradb/include/btr0types.h
--- mariadb-5.5.33a/storage/xtradb/include/btr0types.h	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/include/btr0types.h	2013-10-25 08:32:04.000000000 +0000
@@ -54,7 +54,7 @@
  
  Bear in mind (3) and (4) when using the hash index.
  */
- //extern rw_lock_t*	btr_search_latch_temp;
+ /* extern rw_lock_t*	btr_search_latch_temp; */
  
  extern rw_lock_t**	btr_search_latch_part;
  
@@ -61,7 +61,7 @@
  #endif /* UNIV_HOTBACKUP */
  
  /** The latch protecting the adaptive search system */
- //#define btr_search_latch	(*btr_search_latch_temp)
+ /* #define btr_search_latch	(*btr_search_latch_temp) */
  
  /** Flag: has the search system been enabled?
  Protected by btr_search_latch. */
diff -ur mariadb-5.5.33a/storage/xtradb/include/buf0buddy.ic mariadb-5.5.33.1/storage/xtradb/include/buf0buddy.ic
--- mariadb-5.5.33a/storage/xtradb/include/buf0buddy.ic	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/include/buf0buddy.ic	2013-10-25 08:47:59.000000000 +0000
@@ -110,7 +110,7 @@
  				       	temporarily released */
  	ibool		have_page_hash_mutex)
  {
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(ut_is_2pow(size));
  	ut_ad(size >= PAGE_ZIP_MIN_SIZE);
  	ut_ad(size <= UNIV_PAGE_SIZE);
@@ -133,7 +133,7 @@
  					up to UNIV_PAGE_SIZE */
  	ibool		have_page_hash_mutex)
  {
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(ut_is_2pow(size));
  	ut_ad(size >= PAGE_ZIP_MIN_SIZE);
  	ut_ad(size <= UNIV_PAGE_SIZE);
diff -ur mariadb-5.5.33a/storage/xtradb/include/buf0buf.h mariadb-5.5.33.1/storage/xtradb/include/buf0buf.h
--- mariadb-5.5.33a/storage/xtradb/include/buf0buf.h	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/include/buf0buf.h	2013-10-25 08:35:49.000000000 +0000
@@ -1572,11 +1572,11 @@
  
  	UT_LIST_NODE_T(buf_page_t) LRU;
  					/*!< node of the LRU list */
- //#ifdef UNIV_DEBUG
+ /* #ifdef UNIV_DEBUG */
  	ibool		in_LRU_list;	/*!< TRUE if the page is in
  					the LRU list; used in
  					debugging */
- //#endif /* UNIV_DEBUG */
+ /* #endif / * UNIV_DEBUG */
  	unsigned	old:1;		/*!< TRUE if the block is in the old
  					blocks in buf_pool->LRU_old */
  	unsigned	freed_page_clock:31;/*!< the value of
@@ -1622,11 +1622,11 @@
  					a block is in the unzip_LRU list
  					if page.state == BUF_BLOCK_FILE_PAGE
  					and page.zip.data != NULL */
- //#ifdef UNIV_DEBUG
+ /* #ifdef UNIV_DEBUG */
  	ibool		in_unzip_LRU_list;/*!< TRUE if the page is in the
  					decompressed LRU list;
  					used in debugging */
- //#endif /* UNIV_DEBUG */
+ /* #endif / * UNIV_DEBUG */
  	mutex_t		mutex;		/*!< mutex protecting this block:
  					state (also protected by the buffer
  					pool mutex), io_fix, buf_fix_count,
@@ -1951,9 +1951,9 @@
  					pool watches. Protected by
  				       	buf_pool->mutex. */
  
- //#if BUF_BUDDY_HIGH != UNIV_PAGE_SIZE
- //# error "BUF_BUDDY_HIGH != UNIV_PAGE_SIZE"
- //#endif
+ /* #if BUF_BUDDY_HIGH != UNIV_PAGE_SIZE */
+ /* # error "BUF_BUDDY_HIGH != UNIV_PAGE_SIZE" */
+ /* #endif */
  #if BUF_BUDDY_LOW > PAGE_ZIP_MIN_SIZE
  # error "BUF_BUDDY_LOW > PAGE_ZIP_MIN_SIZE"
  #endif
diff -ur mariadb-5.5.33a/storage/xtradb/include/buf0buf.ic mariadb-5.5.33.1/storage/xtradb/include/buf0buf.ic
--- mariadb-5.5.33a/storage/xtradb/include/buf0buf.ic	2013-09-19 22:34:22.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/include/buf0buf.ic	2013-10-25 08:54:25.000000000 +0000
@@ -504,8 +504,8 @@
  	enum buf_io_fix	io_fix)	/*!< in: io_fix state */
  {
  #ifdef UNIV_DEBUG
- 	//buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage); */
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  #endif
  	ut_ad(mutex_own(buf_page_get_mutex(bpage)));
  
@@ -578,12 +578,12 @@
  	const buf_page_t*	bpage)	/*!< control block being relocated */
  {
  #ifdef UNIV_DEBUG
- 	//buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage); */
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  #endif
  	ut_ad(mutex_own(buf_page_get_mutex(bpage)));
  	ut_ad(buf_page_in_file(bpage));
- 	//ut_ad(bpage->in_LRU_list);
+ 	/* ut_ad(bpage->in_LRU_list); */
  
  	return(bpage->in_LRU_list && bpage->io_fix == BUF_IO_NONE
  	       && bpage->buf_fix_count == 0);
@@ -599,8 +599,8 @@
  	const buf_page_t*	bpage)	/*!< in: control block */
  {
  #ifdef UNIV_DEBUG
- 	//buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage); */
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  #endif
  	ut_ad(buf_page_in_file(bpage));
  
@@ -620,7 +620,7 @@
  	buf_pool_t*	buf_pool = buf_pool_from_bpage(bpage);
  #endif /* UNIV_DEBUG */
  	ut_a(buf_page_in_file(bpage));
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  	ut_ad(mutex_own(&buf_pool->LRU_list_mutex));
  	ut_ad(bpage->in_LRU_list);
  
@@ -913,9 +913,9 @@
  /*===========*/
  	buf_block_t*	block)	/*!< in, own: block to be freed */
  {
- 	//buf_pool_t*	buf_pool = buf_pool_from_bpage((buf_page_t*)block);
+ 	/* buf_pool_t*	buf_pool = buf_pool_from_bpage((buf_page_t*)block); */
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  
  	mutex_enter(&block->mutex);
  
@@ -925,7 +925,7 @@
  
  	mutex_exit(&block->mutex);
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  }
  #endif /* !UNIV_HOTBACKUP */
  
@@ -1118,7 +1118,7 @@
  	buf_page_t*	bpage;
  
  	ut_ad(buf_pool);
- 	//ut_ad(buf_pool_mutex_own(buf_pool));
+ 	/* ut_ad(buf_pool_mutex_own(buf_pool)); */
  #ifdef UNIV_SYNC_DEBUG
  	ut_ad(rw_lock_own(&buf_pool->page_hash_latch, RW_LOCK_EX)
  	      || rw_lock_own(&buf_pool->page_hash_latch, RW_LOCK_SHARED));
@@ -1207,12 +1207,12 @@
  	const buf_page_t*	bpage;
  	buf_pool_t*		buf_pool = buf_pool_get(space, offset);
  
- 	//buf_pool_mutex_enter(buf_pool);
+ 	/* buf_pool_mutex_enter(buf_pool); */
  	rw_lock_s_lock(&buf_pool->page_hash_latch);
  
  	bpage = buf_page_hash_get(buf_pool, space, offset);
  
- 	//buf_pool_mutex_exit(buf_pool);
+ 	/* buf_pool_mutex_exit(buf_pool); */
  	rw_lock_s_unlock(&buf_pool->page_hash_latch);
  
  	return(bpage != NULL);
diff -ur mariadb-5.5.33a/storage/xtradb/include/srv0srv.h mariadb-5.5.33.1/storage/xtradb/include/srv0srv.h
--- mariadb-5.5.33a/storage/xtradb/include/srv0srv.h	2013-09-19 22:34:26.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/include/srv0srv.h	2013-10-25 08:37:43.000000000 +0000
@@ -162,7 +162,7 @@
  extern ulint	srv_n_log_files;
  extern ulint	srv_log_file_size;
  extern ulint	srv_log_buffer_size;
- //extern ulong	srv_flush_log_at_trx_commit;
+ /* extern ulong	srv_flush_log_at_trx_commit; */
  extern char	srv_use_global_flush_log_at_trx_commit;
  extern char	srv_adaptive_flushing;
  
diff -ur mariadb-5.5.33a/storage/xtradb/include/sync0rw.h mariadb-5.5.33.1/storage/xtradb/include/sync0rw.h
--- mariadb-5.5.33a/storage/xtradb/include/sync0rw.h	2013-09-19 22:34:26.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/include/sync0rw.h	2013-10-25 08:26:07.000000000 +0000
@@ -629,7 +629,7 @@
  	struct PSI_rwlock *pfs_psi;/*!< The instrumentation hook */
  #endif
  	ulint count_os_wait;	/*!< Count of os_waits. May not be accurate */
- 	//const char*	cfile_name;/*!< File name where lock created */
+ 	/* const char*	cfile_name;/ *!< File name where lock created */
  	const char*	lock_name;/*!< lock name */
          /* last s-lock file/line is not guaranteed to be correct */
  	const char*	last_s_file_name;/*!< File name where last s-locked */
@@ -641,7 +641,7 @@
  				are at the start of this struct, thus we can
  				peek this field without causing much memory
  				bus traffic */
- 	//unsigned	cline:14;	/*!< Line where created */
+ 	/* unsigned	cline:14;	/ *!< Line where created */
  	unsigned	last_s_line:14;	/*!< Line number where last time s-locked */
  	unsigned	last_x_line:14;	/*!< Line number where last time x-locked */
  #ifdef UNIV_DEBUG
diff -ur mariadb-5.5.33a/storage/xtradb/include/trx0sys.h mariadb-5.5.33.1/storage/xtradb/include/trx0sys.h
--- mariadb-5.5.33a/storage/xtradb/include/trx0sys.h	2013-09-19 22:34:27.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/include/trx0sys.h	2013-10-25 08:39:35.000000000 +0000
@@ -549,9 +549,9 @@
  /** Contents of TRX_SYS_MYSQL_LOG_MAGIC_N_FLD */
  #define TRX_SYS_MYSQL_LOG_MAGIC_N	873422344
  
- //#if UNIV_PAGE_SIZE < 4096
- //# error "UNIV_PAGE_SIZE < 4096"
- //#endif
+ /* #if UNIV_PAGE_SIZE < 4096 */
+ /* # error "UNIV_PAGE_SIZE < 4096" */
+ /* #endif */
  /** The offset of the MySQL replication info in the trx system header;
  this contains the same fields as TRX_SYS_MYSQL_LOG_INFO below.  These are
  written at prepare time and are the main copy. */
diff -ur mariadb-5.5.33a/storage/xtradb/row/row0mysql.c mariadb-5.5.33.1/storage/xtradb/row/row0mysql.c
--- mariadb-5.5.33a/storage/xtradb/row/row0mysql.c	2013-09-19 22:34:25.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/row/row0mysql.c	2013-10-25 09:19:21.000000000 +0000
@@ -2171,7 +2171,7 @@
  	que_thr_t*	thr;
  	ulint		err;
  
- 	//ut_ad(trx->mysql_thread_id == os_thread_get_curr_id());
+ 	/* ut_ad(trx->mysql_thread_id == os_thread_get_curr_id()); */
  
  	trx->op_info = "try to insert rows to SYS_STATS";
  
diff -ur mariadb-5.5.33a/storage/xtradb/srv/srv0srv.c mariadb-5.5.33.1/storage/xtradb/srv/srv0srv.c
--- mariadb-5.5.33a/storage/xtradb/srv/srv0srv.c	2013-09-19 22:34:26.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/srv/srv0srv.c	2013-10-25 09:20:16.000000000 +0000
@@ -212,7 +212,7 @@
  UNIV_INTERN ulint	srv_log_file_size	= ULINT_MAX;
  /* size in database pages */
  UNIV_INTERN ulint	srv_log_buffer_size	= ULINT_MAX;
- //UNIV_INTERN ulong	srv_flush_log_at_trx_commit = 1;
+ /* UNIV_INTERN ulong	srv_flush_log_at_trx_commit = 1; */
  UNIV_INTERN char	srv_use_global_flush_log_at_trx_commit	= TRUE;
  
  /* Try to flush dirty pages so as to avoid IO bursts at
diff -ur mariadb-5.5.33a/storage/xtradb/trx/trx0purge.c mariadb-5.5.33.1/storage/xtradb/trx/trx0purge.c
--- mariadb-5.5.33a/storage/xtradb/trx/trx0purge.c	2013-09-19 22:34:26.000000000 +0000
+++ mariadb-5.5.33.1/storage/xtradb/trx/trx0purge.c	2013-10-25 10:02:14.000000000 +0000
@@ -405,10 +405,10 @@
  	trx_sys->rseg_history_len++;
  	mutex_exit(&kernel_mutex);
  
- //	if (!(trx_sys->rseg_history_len % srv_purge_batch_size)) { /*should wake up always*/
+ /*	if (!(trx_sys->rseg_history_len % srv_purge_batch_size)) { / *should wake up always*/
  		/* Inform the purge thread that there is work to do. */
  		srv_wake_purge_thread_if_not_active();
- //	}
+ /*	} */
  }
  
  /**********************************************************************//**
